# Uses of Class
org.jboss.classfilewriter.code.StackState

Packages that use StackState
Package
Description
org.jboss.classfilewriter.code

## Uses of StackState in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return StackState
Modifier and Type
Method
Description
`StackState`
StackState.`aconstNull()`
`StackState`
StackState.`constructorCall(int initializedValueStackPosition, StackEntry entry)`
`StackState`
StackState.`dup()`
`StackState`
StackState.`dup2()`
`StackState`
StackState.`dup2X1()`
`StackState`
StackState.`dup2X2()`
`StackState`
StackState.`dupX1()`
`StackState`
StackState.`dupX2()`
`StackState`
StackFrame.`getStackState()`
`StackState`
StackState.`pop(int no)`
pop a non-wide type from the top of the stack
`StackState`
StackState.`push(String type)`
push a type on to the top of the stack
`StackState`
StackState.`push(StackEntry entry)`
push a type on to the top of the stack
`StackState`
StackState.`swap()`
`StackState`
StackState.`updateMerged(int pos, StackEntry frame)`
Constructors in org.jboss.classfilewriter.code with parameters of type StackState
Modifier
Constructor
Description
``
`StackFrame(StackState stackState, LocalVariableState localVariableState, StackFrameType type)`